/* Brand Button Base Styles */
.button,button {
  color:var(--button-text,#000000);
  background-color:var(--button-background,transparent);
	border:var(--button-border,none);
	transition:filter 0.2s ease,transform 0.2s ease;
}
/* Global Button Hover Effect */
.button:hover,button:hover {
	filter:brightness(90%);
	transform:translateY(-1px);
}
/* Button Icons */
.icon {
	filter:var(--icon-filter,none);
}
/* Brand-Specific Styles */
/* Default */
.button.button-default {
	--button-text:#ffffff;
	--button-background:#2457F5;
	--button-border:1px solid #ffffff;
}
/* Amazon */
.button-amazon {
	--button-text:#000000;
	--button-background:#FFFFFF;
	--button-border:1px solid #212121;
}
/* Apple Podcasts */
.button-apple-podcasts {
	--button-text:#ffffff;
	--button-background:#000000;
	--button-border:1px solid #FFFFFF;
}
/* Bluesky */
.button-bluesky {
	--button-text:#FFFFFF;
	--button-background:#1185FE;
}
/* Bluesky Alt */
.button-bluesky-alt {
	--button-text:#000000;
	--button-background:#FFFFFF;
	--button-border:1px solid #000000;
}
/* Cash App */
.button-cash-app {
	--button-text:#ffffff;
	background-image:linear-gradient(to bottom,#00d64b,#00c244);
}
/* Discord */
.button-discord {
	--button-text:#ffffff;
	--button-background:#5865F2;
}
/* Fansly */
.button-fansly {
    --button-text: #ffffff;
    --button-background: #00ccff;
}
/* FeetFinder */
.button-feetfinder {
    --button-text: #ffffff;
    --button-background: #b3a3ff;
}
/* GoFundMe */
.button-gofundme {
	--button-text:#ffffff;
	--button-background:#02A95C;
}
/* Instagram */
.button-instagram {
	--button-text:#ffffff;
	background-image:linear-gradient(-135deg,#1400c8,#b900b4,#f50000);
}
/* JustFor.Fans */
.button-justfor-fans {
    --button-text: #ffffff;
    --button-background: #363636;
}
/* LoyalFans */
.button-loyalfans {
    --button-text: #ffffff;
    --button-background: #401212;
}
/* OnlyFans */
.button-onlyfans {
	--button-text:#ffffff;
	--button-background:#00AEEF;
}
/* Patreon */
.button-patreon {
	--button-text:#ffffff;
	--button-background:#000000;
	--button-border:1px solid #FFFFFF;
}
/* PayPal */
.button-paypal {
	--button-text:#ffffff;
	--button-background:#002991;
  	/* --button-border:1px solid #FFFFFF; */
}
/* Reddit */
.button-reddit {
	--button-text:#FFFFFF;
	--button-background:#FF4500;
}
/* Snapchat */
.button-snapchat {
	--button-text:#000000;
	--button-background:#fffc00;
}
/* Telegram */
.button-telegram {
	--button-text:#ffffff;
	--button-background:#3faee8;
}
/* Throne */
.button-throne {
    --button-text: #ffffff;
    --button-background: #90359c;
    /* --button-border: 1px solid #FFFFFF; */
}
/* TikTok */
.button-tiktok {
	--button-text:#ffffff;
	--button-background:#000000;
	--button-border:1px solid #FFFFFF;
}
/* Venmo */
.button-venmo {
	--button-text:#ffffff;
	--button-background:#008CFF;
}
/* X */
.button-x {
	--button-text:#FFFFFF;
	--button-background:#000000;
	/* --button-border:1px solid #FFFFFF; */
}
/* YouPay */
.button-youpay {
    --button-text: #ffffff;
    --button-background: #8f00d1;
}